<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <system.webServer>
        <rewrite>
            <rules>
                <rule name="Regola importata 1">
                    <match url="^habblet/cproxy" ignoreCase="false" />
                    <action type="Rewrite" url="./cproxy.php" />
                </rule>
                <rule name="Regola importata 2">
                    <match url="^room/(.*)$" ignoreCase="false" />
                    <action type="Rewrite" url="./room.php?roomId={R:1}" appendQueryString="false" />
                </rule>
                <rule name="Regola importata 3">
                    <match url="^Staff_content_frames/Load_cards.png" ignoreCase="false" />
                    <action type="Rewrite" url="./Staff_content_frames/Load_staffcard.php" />
                </rule>
                <rule name="Regola importata 4">
                    <match url="^housekeeping/settings/(.*)$" ignoreCase="false" />
                    <action type="Rewrite" url="./housekeeping/settings.php?page={R:1}" appendQueryString="true" />
                </rule>
                <rule name="Regola importata 5">
                    <match url="^quickregister/_(.*)$" ignoreCase="false" />
                    <action type="Rewrite" url="quick_{R:1}.php" appendQueryString="true" />
                </rule>
                <rule name="Regola importata 6">
                    <match url="^(([A-Za-z0-9\-_]+/)*[A-Za-z0-9\-_]+)?$" ignoreCase="false" />
                    <conditions logicalGrouping="MatchAll">
                        <add input="{REQUEST_FILENAME}" matchType="IsDirectory" ignoreCase="false" negate="true" />
                        <add input="{REQUEST_FILENAME}" matchType="IsFile" ignoreCase="false" negate="true" />
                    </conditions>
                    <action type="Rewrite" url="{R:1}.php" />
                </rule>
            </rules>
        </rewrite>
    </system.webServer>
</configuration>
